Skip to main content
PATCH
/
v1
/
items
/
{itemId}
/
descriptions
/
{salesChannelId}
/
{languageIso}
Update Item Description
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v1/items/{itemId}/descriptions/{salesChannelId}/{languageIso} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "Name": "<string>",
  "Description": "<string>",
  "ShortDescription": "<string>",
  "SeoPath": "<string>",
  "SeoMetaDescription": "<string>",
  "SeoTitleTag": "<string>",
  "SeoMetaKeywords": "<string>"
}
'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

salesChannelId
string
required

The id of the sales channel that the descriptions belong to.

languageIso
string
required

The iso code of the language that the descriptions belong to.

itemId
integer<int32>
required

The id of the item that the descriptions belong to.

Body

application/json

The item to update.

Model Class: UpdateItemDescription

Name
string

The item name in the given language and sales channel. The name in JTL-Wawi and the default language is the default name of the item.

Description
string

The item description for the given language and sales channel.

ShortDescription
string

An item's short description in the given language and sales channel.

SeoPath
string

The SEO path in the given language and sales channel.

SeoMetaDescription
string

The SEO meta description in the given language and sales channel.

SeoTitleTag
string

The title tag (SEO) in the given language and sales channel.

SeoMetaKeywords
string

Meta keywords in the given language and sales channel.

Response